/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.examples.ejb.stateless;

import org.jfox.ejb.meta.EJBDescriptor;
import org.jfox.ejb.meta.EJBMetaSupport;
import org.jfox.ejb.meta.Protocol;

/**
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class TestStatelessMeta extends EJBMetaSupport {

    public TestStatelessMeta(EJBDescriptor ejbDescriptor) {
        super(ejbDescriptor);
    }

    public Protocol getRemoteProtocol() {
        return Protocol.JRMP_SSL;
    }

    public Protocol getLocalProtocol() {
        return super.getLocalProtocol();
    }

    public String getJndiName() {
        return super.getJndiName();
    }

    public static void main(String[] args) {

    }
}
